aboutsummaryrefslogtreecommitdiffstats
path: root/test/mppa/instr
diff options
context:
space:
mode:
authorCyril SIX <cyril.six@kalray.eu>2018-11-14 11:18:45 +0100
committerCyril SIX <cyril.six@kalray.eu>2018-11-14 11:18:45 +0100
commit154230f3d9cad4f8de59e8fcaa9d0fe4ae151a98 (patch)
tree54fd19259eadbb4b4687f38003a5b344059f1d18 /test/mppa/instr
parent6e1ff91536ce40e16e0f6af7f2d032ffda2f752c (diff)
downloadcompcert-kvx-154230f3d9cad4f8de59e8fcaa9d0fe4ae151a98.tar.gz
compcert-kvx-154230f3d9cad4f8de59e8fcaa9d0fe4ae151a98.zip
Updated Sort Makefile + fixed compilation command bug
Diffstat (limited to 'test/mppa/instr')
-rw-r--r--test/mppa/instr/Makefile6
1 files changed, 3 insertions, 3 deletions
diff --git a/test/mppa/instr/Makefile b/test/mppa/instr/Makefile
index 2be69db2..89ff9a73 100644
--- a/test/mppa/instr/Makefile
+++ b/test/mppa/instr/Makefile
@@ -72,15 +72,15 @@ check: $(GCC_OUT) $(CCOMP_OUT)
$(OUTDIR)/%.x86-gcc.out: $(BINDIR)/%.x86-gcc.bin
@mkdir -p $(@D)
- ret=0; timeout $(TIMEOUT) ./$< || { ret=$$?; } > $@; echo $$ret >> $@
+ ret=0; timeout $(TIMEOUT) ./$< > $@ || { ret=$$?; }; echo $$ret >> $@
$(OUTDIR)/%.gcc.out: $(BINDIR)/%.gcc.bin $(SIMUPATH)
@mkdir -p $(@D)
- ret=0; timeout $(TIMEOUT) $(SIMU) -- $< || { ret=$$?; } > $@; echo $$ret >> $@
+ ret=0; timeout $(TIMEOUT) $(SIMU) -- $< > $@ || { ret=$$?; }; echo $$ret >> $@
$(OUTDIR)/%.ccomp.out: $(BINDIR)/%.ccomp.bin $(SIMUPATH)
@mkdir -p $(@D)
- ret=0; timeout $(TIMEOUT) $(SIMU) -- $< || { ret=$$?; } > $@; echo $$ret >> $@
+ ret=0; timeout $(TIMEOUT) $(SIMU) -- $< > $@ || { ret=$$?; }; echo $$ret >> $@
# Assembly to binary